Typeahead search on Foremen
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/foremen/typeahead \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/foremen/typeahead"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/foremen/typeahead', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"company_share": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}Foremen
Typeahead search on Foremen
Typeahead search against the first_name and last_name property on Foremen for a Company.
GET
/
v1
/
companies
/
{company-id}
/
foremen
/
typeahead
Typeahead search on Foremen
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Query Parameters
The maximum number of paginated results to return
Required range:
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Search string for queries
Filter shared CompanyShareable models
Filter based on record expiry. Default is null, which means all records are returned, true will omit non-expiring records, false will omit expiring records.
CompanyType enum filter. See CompanyType enum for accepted values.
Response
OK
Show child attributes
Show child attributes